#include "ScribbleView.h"

#include "../DebugClient/DebugClient.h"


ScribbleView::ScribbleView(const BRect &aRect) 
		: BView(aRect, "ScribbleView", B_FOLLOW_ALL_SIDES, 0)
{
	drawing = false;
}

void ScribbleView::MouseDown(BPoint where)
{
	BView::MouseDown(where);
	trace("commence drawing");
	
	from = where;
	drawing = true;
}

void ScribbleView::MouseUp(BPoint where)
{
	BView::MouseUp(where);
	trace("end drawing");
		
	drawing = false;
}

void ScribbleView::MouseMoved(BPoint where,
					uint32 code,
					const BMessage *a_message)
{
	BView::MouseMoved(where, code, a_message);

	if (drawing)
	{
		StrokeLine(from, where);
		from = where;
	}	
}
					
void ScribbleView::MessageReceived(BMessage *message)
{
	BView::MessageReceived(message);
}